Package ru.bitel.bgbilling.modules.voice.common.bean.report

# Class SessionDetail<T>

java.lang.Object
ru.bitel.bgbilling.modules.voice.common.bean.report.SessionDetail<T>

public class SessionDetail<T> extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SessionDetail()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addValue(BigDecimal summ, long amount)`
  `void`
  `copyInfoFrom(SessionDetail<T> d)`
  `int`
  `getAccountId()`
  `long`
  `getAmount()`
  `long`
  `getAmountRound()`
  `int`
  `getCount()`
  `String`
  `getNumberA()`
  `List<T>`
  `getResult()`
  `String`
  `getService()`
  `int`
  `getServiceId()`
  `BigDecimal`
  `getSumm()`
  `void`
  `setAccountId(int accountId)`
  `SessionDetail<T>`
  `setAmount(long amount)`
  `SessionDetail<T>`
  `setAmountRound(long amountRound)`
  `SessionDetail<T>`
  `setCount(int count)`
  `void`
  `setNumberA(String numberA)`
  `void`
  `setResult(List<T> result)`
  `void`
  `setService(String service)`
  `void`
  `setServiceId(int serviceId)`
  `SessionDetail<T>`
  `setSumm(BigDecimal summ)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SessionDetail

    public SessionDetail()

- ## Method Details

  - ### getResult

    public List<T> getResult()

  - ### setResult

    public void setResult(List<T> result)

  - ### getCount

    public int getCount()

  - ### setCount

    public SessionDetail<T> setCount(int count)

  - ### getSumm

    public BigDecimal getSumm()

  - ### setSumm

    public SessionDetail<T> setSumm(BigDecimal summ)

  - ### getAmount

    public long getAmount()

  - ### setAmount

    public SessionDetail<T> setAmount(long amount)

  - ### getService

    public String getService()

  - ### setService

    public void setService(String service)

  - ### getNumberA

    public String getNumberA()

  - ### setNumberA

    public void setNumberA(String numberA)

  - ### getServiceId

    public int getServiceId()

  - ### setServiceId

    public void setServiceId(int serviceId)

  - ### getAccountId

    public int getAccountId()

  - ### setAccountId

    public void setAccountId(int accountId)

  - ### copyInfoFrom

    public void copyInfoFrom(SessionDetail<T> d)

  - ### addValue

    public void addValue(BigDecimal summ, long amount)

  - ### getAmountRound

    public long getAmountRound()

  - ### setAmountRound

    public SessionDetail<T> setAmountRound(long amountRound)